> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> Lists tasks from the Tasks marketplace app installed on the workspace. The request is proxied to the app's task API and the response shape is defined by that app's registered resource schema. Requires the Tasks app to be installed.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/tasks
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/tasks:
    get:
      tags:
        - Tasks
      summary: List tasks
      description: >-
        Lists tasks from the Tasks marketplace app installed on the workspace.
        The request is proxied to the app's task API and the response shape is
        defined by that app's registered resource schema. Requires the Tasks app
        to be installed.
      operationId: retrieve-tasks
      parameters:
        - description: Maximum number of tasks to return
          in: query
          name: limit
          schema:
            type: integer
        - description: Pagination cursor returned by a previous list response
          in: query
          name: nextToken
          schema:
            type: string
        - description: Filter tasks by the id of the internal user that created them
          in: query
          name: createdBy
          schema:
            type: string
        - description: Filter to the subtasks of the given parent task id
          in: query
          name: parentTaskId
          schema:
            type: string
        - description: Filter tasks by status
          in: query
          name: status
          schema:
            enum:
              - todo
              - inProgress
              - completed
            type: string
        - description: Filter tasks by the id of the assigned client
          in: query
          name: clientId
          schema:
            type: string
        - description: Filter tasks by the id of the assigned internal user
          in: query
          name: internalUserId
          schema:
            type: string
        - description: Filter tasks by the id of the assigned company
          in: query
          name: companyId
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/marketplace_application.TaskList'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Invalid query parameter for the app resource
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing or invalid API key
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: >-
            App not found, not installed on the workspace, or app resource not
            found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: App API rejected the request as unprocessable
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: App API rate limit exceeded
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: App API request failed or unexpected server error
      security:
        - APIKeyHeader: []
components:
  schemas:
    marketplace_application.TaskList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/marketplace_application.Task'
          type: array
        nextToken:
          description: base64 encoded JSON representing a NextToken
          type: string
      type: object
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
    marketplace_application.Task:
      properties:
        createdAt:
          description: Created is the RFC 3339 timestamp at which the object was created.
          example: '2024-01-15T09:30:00Z'
          format: date-time
          type: string
        deleted:
          description: >-
            Deleted is true when the object has been deleted; present only on
            delete responses.
          example: true
          type: boolean
        description:
          description: Description is the optional long-form details of the task.
          example: Write the welcome email for new clients.
          type: string
        id:
          description: ID is the unique identifier of the object.
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
        name:
          description: Name is the human-readable title of the task.
          example: Draft the onboarding email
          type: string
        object:
          allOf:
            - $ref: '#/components/schemas/constants.ApiObject'
          description: Object is the type of the object (e.g. "client", "company").
        updatedAt:
          description: >-
            Updated is the RFC 3339 timestamp at which the object was last
            updated.
          example: '2024-02-20T14:05:00Z'
          format: date-time
          type: string
      type: object
    constants.ApiObject:
      enum:
        - client
        - internalUser
        - company
        - customField
        - customFieldOption
        - file
        - fileChannel
        - folder
        - messageChannel
        - message
        - notification
      type: string
      x-enum-varnames:
        - ApiObjectClient
        - ApiObjectInternalUser
        - ApiObjectCompany
        - ApiObjectCustomField
        - ApiObjectCustomFieldOption
        - ApiObjectFile
        - ApiObjectFileChannel
        - ApiObjectFolder
        - ApiObjectMessageChannel
        - ApiObjectMessage
        - ApiObjectNotification
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````